# coding=utf-8
from utils.custom_modelviewset import CustomModelViewSet
from rest_framework.views import APIView
from .models import Order
from .serializers import OrderSerializer
from .filters import OrderFilter
from apps.log.models import BizLog
from utils import response_ok
from utils.permission import isLogin, permission_required


class OrderViewSet(CustomModelViewSet):
    queryset = Order.objects.filter()
    serializer_class = OrderSerializer

    def filter_queryset(self, queryset):
        queryset = queryset.filter()
        f = OrderFilter(self.request.GET, queryset=queryset)
        return f.qs
